import React from 'react';
import { Select } from 'antd';
import {SelectProps} from '../editInterface';

export default function(props:SelectProps) {
    const { options = [] } = props;
    return (
        <Select {...props}>
            {options.map((item) => (
                <Select.Option key={item.id} value={item.id}>
                    {item.name}
                </Select.Option>
            ))}
        </Select>
    );
}
